snmp_read_mib
snmp_set_oid_numeric_print
SNMP Functions
PHP Manual

# snmp_set_enum_print

Return all values that are enums with their enum value instead of the raw integer

### Description

bool snmp_set_enum_print ( int `$enum_print` )

This function toggles if snmpwalk/snmpget etc. should automatically lookup enum values in the MIB and return them together with their human readable string.

### Parameters

`enum_print`

  As the value is interpreted as boolean by the Net-SNMP library, it can only be "0" or "1".

### Examples

Example #1 Using snmp_set_enum_print

`<?php
snmp_set_enum_print(0);
echo snmpget('localhost', 'public', 'IF-MIB::ifOperStatus.3') . "\n";
snmp_set_enum_print(1);
echo snmpget('localhost', 'public', 'IF-MIB::ifOperStatus.3') . "\n";
?>`

The above would return

     INTEGER: up(1)
     INTEGER: 1

### Notes

> Note:

> snmp_set_enum_print is only available when using the UCD SNMP library. This function is not available when using the Windows SNMP library.